vector_store_id: string

Path param: The ID of the vector store that the files belong to.

after?: string

Query param: A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before?: string

Query param: A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

filter?: "in_progress" | "completed" | "failed" | "cancelled"

Query param: Filter by file status. One of in_progress, completed, failed, cancelled.

One of the following:
"in_progress"
"completed"
"failed"
"cancelled"
limit?: number

Query param: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order?: "asc" | "desc"

Query param: Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.

One of the following:
"asc"
"desc"